Bug 53788 - Redhat EFI menu option hangs 4way lion
Redhat EFI menu option hangs 4way lion
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: elilo (Show other bugs)
9
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-18 13:26 EDT by Mike Sklar
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 19:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Sklar 2001-09-18 13:26:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
The redhat boot option on the EFI menu that appears after a full install
will still hang my 4way lion. Although I did not have any issues with my
2way bigsur. If I remove the Redhat boot option from the menu and manually
invoke elilo from the EFI-shell all is well. Same goes for creating a
startup.nsh that contains only the string elilo in /boot/efi. That works
just fine too for autobooting.

I am using BIOS ver. 76 for the LIONs

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install roswell beta2 (8/19/01) on 4way lion
2. let system hang during first boot at EFI shell
3. 
	

Actual Results:  system hang at EFI shell, ctrl-alt-del works to reboot

Expected Results:  efi shell would autoboot via elilo

Additional info:
Comment 1 Bill Nottingham 2001-09-25 13:59:30 EDT
What happens if you try a later firmware (say, 99)?
Comment 2 Mike Sklar 2001-09-25 14:22:05 EDT
Actually I was under the impression that BIOS ver. 83B was the latest for the
LION. I have just checked to verify on quad. Are you sure you have any LIONs
(4ways) running anything higher than 83B? 117 is the latest for the workstations.
Comment 3 Bill Nottingham 2001-09-25 14:43:52 EDT
Ooops, um... ignore that last statement please. But try 83B.
Comment 4 Bill Nottingham 2001-09-25 14:44:47 EDT
What exactly is the boot menu entry, anyway?
Comment 5 Mike Sklar 2001-09-25 14:59:04 EDT
As itaniums boot up they eventually get to a rather odd dos/unixish like prompt
called the EFI shell. Just before the EFI shell there is a menu that allows you
to add default boot entries. During redhat installation a entry is put into this
menu that will autoboot the kernel via elilo. This menu entry seems to have some
sort of corruption (at least on my 4x LIONs), works fine on my 1x/2xway bigsur
machines. There is a 5second timeout which means I have to be on the console and
ready to bypass the autoboot feature of the menu entry. I typically delete it
and create my own /boot/efi/startup.nsh containing only the string 'elilo'.
Future reboots will autoboot on their own.
Comment 6 Bill Nottingham 2001-09-25 15:01:19 EDT
No, I mean *what is the data in the Red Hat Linux* entry, i.e. the full device
path, file, etc.
Comment 7 Mike Sklar 2001-09-25 15:05:43 EDT
I deleted the entries from my installed machines, but I will build another LION
and see what the RedHat EFI boot menu entry contains.
Comment 8 Bill Nottingham 2002-11-25 16:59:00 EST
Is this still an issue with current releases and firmwares?
Comment 9 Bill Nottingham 2003-07-30 19:22:17 EDT
Closed, no response.

Note You need to log in before you can comment on or make changes to this bug.